Subject: RE: Setup 2.249.2.5 Hangs during "Install from Local Directory"
From: "John Carlyle- Clarke" <[email-masked]>
To: "Pavel Tsekov" <[email-masked]>
Cc: "Cygwin List (E-mail)" <[email-masked]>
Date: Wed, 18 Sep 2002 14:35:53 +0100

> -----Original Message-----
> From: Pavel Tsekov [mailto:[email-masked]]
> Sent: 18 September 2002 13:19
> To: John Carlyle- Clarke
> Cc: Cygwin List (E-mail)
> Subject: RE: Setup 2.249.2.5 Hangs during "Install from Local 
> Directory"
> 
> 
> On Wed, 18 Sep 2002, John Carlyle- Clarke wrote:
> 
> Please, ask about one problem at a time.  Is setup which is 
> causing problems for you or some of the Cygwin packages ?

Setup was causing me a problem, which I worked around.  Now I am seeing problems with some of the Cygwin packages.  I believe they may be manifestations of the same problem.  I can provide an strace for crontab which I can't for setup (I think?).

> 
> I was under the impression that you're having troubles 
> installing Cygwin 
> due to a setup.exe misbehaving. Now I see that you've succeeded in 
> installing Cygwin. I am really puzzled right now.
> 

I was having trouble upgrading or re-installing Cygwin.  I worked around it by using NT Explorer to set the file permissions of the Cygwin filing system tree so that the user running setup (Administrator) had full access to all files.  

Now I am seeing what I believe is the same underlying problem showing up in similar circumstances with crontab.  I am sure I could produce the same behaviour in other packages too.

> > > > This problem seems to occur when the setup program tries to 
> > > > access a file for writing for which it does not have permission.
> > > 
> > > Well, is there a chance you know also the name of the 
> file. And is it 
> > > really a single file or a directory ? 
> > 
> > It really doesn't matter which file - the problem occurred 
> with any file that setup wanted to write for which it did not 
> have write permissions.  If you want an example, I remember 
> it occurring with /usr/lib/ldscripts/i386pe.x but it could 
> have been any other file.
> > 
> > I think there may be a more general problem here.  I messed 
> up all my file permissions, which is how this problem came to 
> light, and I am slowly putting them right.

> > 
> > However, I am getting exactly the same problem with 
> crontab.  It doesn't have permission to write in 
> /var/cron/tabs, and when you crontab -e and finish editing, 
> it hangs up, using 98% CPU.
> > 
> 
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/